Bug 255096 - devel/zziplib fails on check-plist
Summary: devel/zziplib fails on check-plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-15 16:44 UTC by tech-lists
Modified: 2021-05-09 00:42 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tech-lists 2021-04-15 16:44:14 UTC
Hi,

context: poudriere-devel-3.3.99.20210303_1
poudriere testport -j jailname -J1 devel/zziplib
portstree cd62949b1..7324b6fe6

[...]

[00:00:17] -- Installing: man3 pages to /usr/local/man/man3
[00:00:17] ====> Compressing man pages (compress-man)
[00:00:17] ===========================================================================
[00:00:17] ====> Running Q/A tests (stage-qa)
[00:00:17] ====> Checking for pkg-plist issues (check-plist)
[00:00:17] ===> Parsing plist
[00:00:17] ===> Checking for items in STAGEDIR missing from pkg-plist
[00:00:17] ===> Checking for items in pkg-plist which are not in STAGEDIR
[00:00:17] Error: Missing: include/SDL_rwops_zzip/SDL_rwops_zzip.c
[00:00:17] Error: Missing: include/SDL_rwops_zzip/SDL_rwops_zzip.h
[00:00:17] Error: Missing: libdata/pkgconfig/SDL_rwops_zzip.pc
[00:00:17] ===> Error: Plist issues found.
[00:00:17] *** Error code 1
[00:00:17] 
[00:00:17] Stop.
[00:00:17] make: stopped in /usr/ports/devel/zziplib
[00:00:17] =>> Error: check-plist failures detected
[00:00:19] build of devel/zziplib | zziplib-0.13.72_1 ended at Thu Apr 15 17:37:05 BST 2021
[00:00:19] build time: 00:00:09
[00:00:19] !!! build failure encountered !!!
[00:00:19] Error: Build failed in phase: check-plist

[...]
Comment 1 tech-lists 2021-04-19 16:08:12 UTC
Disabling SDL in make options allows the port to be built and installed
Comment 2 Po-Chuan Hsieh freebsd_committer 2021-05-09 00:42:14 UTC
Fixed in c2e240b22798a6b8509d01e4faf749bb61a1631c. Thanks!